services:
    rawafed.content_organization.form_type.aggregate:
        class: Rawafed\ContentOrganizationBundle\Form\AggregateType
        tags:
            - { name: form.type, alias: aggregate }

    rawafed.content_organization.form_type.entries_collection:
        class: Rawafed\ContentOrganizationBundle\Form\CollectionType
        tags:
            - { name: form.type, alias: entries_collection }

    rawafed.content_organization.form_type.category:
        class: Rawafed\ContentOrganizationBundle\Form\CategoryType
        tags:
            - { name: form.type, alias: category }

    rawafed.content_organization.listener.indexing:
        class: Rawafed\ContentOrganizationBundle\Search\IndexingEventListener
        arguments: [@doctrine.orm.entity_manager, @translator]
        tags:
            - { name: kernel.event_listener, event: search_engine.indexing, priority:128, method: onIndexing }